﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using C1.C1Preview;

namespace Sample_ImageRendering
{
    public partial class PreviewForm : Form
    {
       static Image img;
        public PreviewForm(Image img1)
        {
            InitializeComponent();
            img = img1;
        }

        private void PreviewForm_Load(object sender, EventArgs e)
        {
            //PrintDocument for C1PrintPreviewControl
            C1PrintDocument doc = new C1PrintDocument();
            doc.DefaultUnit = UnitTypeEnum.Inch;
            doc.PageLayout.PageSettings.TopMargin = 0.5;
            doc.PageLayout.PageSettings.LeftMargin = 0.5;
            doc.PageLayout.PageSettings.RightMargin = 0.5;
            doc.PageLayout.PageSettings.BottomMargin = 0.5;
            
            //Renders text
            RenderText rt = new RenderText();
            rt.Text = "C1FlexGrid Image Rendering on C1PrintDocument";
            doc.Body.Children.Add(rt);

            //Renders C1FlexGrid control image
            RenderImage ri = new RenderImage();
            ri.Image = img;
            ri.Width = doc.PageLayout.PageSettings.Width.Value-1;
            doc.Body.Children.Add(ri);

            c1PrintPreviewControl1.Document = doc;
        }
    }
}
